[求助]怎样自动标注尺寸
不知用何种函数可实现尺寸的自动标注?请各位多多指教!!!
此外,能否帮我解释一下下面两个函数中各参数的含义,及此函数的用法
AcDbAlignedDimension(
const AcGePoint3d& xLine1Point,
const AcGePoint3d& xLine2Point,
const AcGePoint3d& dimLinePoint,
const char* dimText = NULL,
AcDbObjectId dimStyle = AcDbObjectId::kNull);
AcDb2LineAngularDimension(
const AcGePoint3d& xLine1Start,
const AcGePoint3d& xLine1End,
const AcGePoint3d& xLine2Start,
const AcGePoint3d& xLine2End,
const AcGePoint3d& arcPoint,
const char* dimText = NULL,
AcDbObjectId dimStyle = AcDbObjectId::kNull);
所有的尺寸都是自动标注。但
dimText = NULL我还是不太明白,能否在解释详细一点,谢谢!
所有的尺寸都是自动标注。但
只要下面变量的值是dimText = NULL
即可。
先来一个,AcDbAlignedDimension()的说明(英文)
AcDbAlignedDimension(const AcGePoint3d& xLine1Point,
const AcGePoint3d& xLine2Point,
const AcGePoint3d& dimLinePoint,
const char* dimText = NULL,
AcDbObjectId dimStyle = AcDbObjectId::kNull);
xLine1Point Input start point (in WCS coordinates) of first extension line
xLine2Point Input start point (in WCS coordinates) of second extension line
dimLinePoint Input a point (in WCS coordinates) on dimension line itself
dimText Input text string to use as the dimension annotation
dimStyle Input object ID of AcDbDimStyleTableRecord to use
This constructor uses the parameters passed in to initialize the dimension. In addition, the extension line obliquing angle is set to 0.0 and the rest of the AcDbDimension, AcDbEntity, and others, default constructor initializations are performed.
A copy of the dimText string will be used by the dimension.
The dimText string will need to contain any desired mtext formatting characters. The substring "<>" may be used anywhere within the string as a marker to indicate that the default text should be displayed there in place of the "<>". It is possible to have more than one set of "<>" in the text string, but only the first set will be interpreted as the default text placeholder.
If dimText is NULL, then when the dimension is closed, the dimension text string will be set to an empty string and the default dimension text is used. The default dimension text is an automatically generated text string based on the dimStyle, dimVar settings, and the actual measurement of the angle.
If dimStyle is left as AcDbObjectId::kNull, then the object ID of the current default dimStyle within the AutoCAD editor is used.
AcDb2LineAngularDimension()函数说明
AcDb2LineAngularDimension(const AcGePoint3d& xLine1Start,
const AcGePoint3d& xLine1End,
const AcGePoint3d& xLine2Start,
const AcGePoint3d& xLine2End,
const AcGePoint3d& arcPoint,
const char* dimText = NULL,
AcDbObjectId dimStyle = AcDbObjectId::kNull);
xLine1Start Input start point (in WCS coordinates) of first extension line
xLine1End Input end point (in WCS coordinates) of first extension line
xLine2Start Input start point (in WCS coordinates) of second extension line
xLine2End Input end point (in WCS coordinates) of second extension line
arcPoint Input a point that will be on the dimension arc
dimText Input text string to use as the dimension annotation
dimStyle Input object ID of dimension style table record to use as the dimension style
谢谢各位指教!!!
怎样半自动标注尺寸
我想再问一个问题:怎样半自动标注尺寸,即所标尺寸为NULL值时的某一倍数?
或者,在尺寸按自动标注后,怎样想办法使其标注数据都扩大为原来的某一倍数? 这个标注很简单,就是用来标注弧度什么的,我们都用过的 我也要得到帮助
页:
[1]
2